Subject: Re: bug#51368: 29.0.50; `cl-case' should error on incorrect use

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 01:48:07 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> BTW, there's a third issue which is that
>>
>>     (cl-case EXP
>>       ((a b) FOO)
>>       ((a c) BAR))
>>
>> won't warn about the duplicate `a`.
>>
>> After fixing this, many/most uses of `quote` will already emit
>> a warning, so maybe it would make the quote/function part of your second
>> patch unnecessary.
>
> I think it's nice to have an explicit error case for the quote case so
> that the warning can be better, though, so I've pushed Philipps patches
> to Emacs 29.
>
> But this test case should also emit a warning.  Philipp, you don't
> happen to have a fix for that one, too?  😀

If I'm reading this right, it seems like the patches here were pushed to
master, but the bug was left open.  I'm therefore closing this bug report.

If this conclusion is incorrect, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.